/*
 * Copyright (c) 2016, National Institute of Informatics
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package jp.gakunin.idp.saml.xmlobject;

import javax.xml.namespace.QName;

import org.opensaml.saml.common.xml.SAMLConstants;
import org.opensaml.saml.saml2.metadata.LocalizedName;

/**
 * uApproveJP Metadata Description.
 */
public interface Description extends LocalizedName {

    /** Element name, no namespace */
    public final static String DEFAULT_ELEMENT_LOCAL_NAME = "Description";

    /** Default element name */
    public final static QName DEFAULT_ELEMENT_NAME = new QName(UApproveJPMetadata.NAMESPACE,
            DEFAULT_ELEMENT_LOCAL_NAME, UApproveJPMetadata.PREFIX);

    /** Local name of the XSI type */
    public final static String TYPE_LOCAL_NAME = "localizedNameType";

    /** QName of the XSI type */
    public final static QName TYPE_NAME = new QName(SAMLConstants.SAML20MD_NS, TYPE_LOCAL_NAME,
            SAMLConstants.SAML20MD_PREFIX);

    /** Language attribute name */
    public final static String LANG_ATTRIB_NAME = "lang";
}
