/*
 * Copyright (c) 2016, National Institute of Informatics
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package jp.gakunin.idp.saml.xmlobject.impl;

import javax.annotation.concurrent.ThreadSafe;

import jp.gakunin.idp.saml.xmlobject.Description;
import jp.gakunin.idp.saml.xmlobject.UApproveJPMetadata;

import org.opensaml.saml.common.AbstractSAMLObjectBuilder;

/*
 * Builder of {@link jp.gakunin.idp.saml.xmlobject.impl.DescriptionImpl}.
 */
@ThreadSafe
public class DescriptionBuilder extends AbstractSAMLObjectBuilder<Description> {

    /** {@inheritDoc} */
    public Description buildObject() {
        return buildObject(UApproveJPMetadata.NAMESPACE, Description.DEFAULT_ELEMENT_LOCAL_NAME,
                UApproveJPMetadata.PREFIX);
    }

    /** {@inheritDoc} */
    public Description buildObject(final String namespaceURI, final String localName, final String namespacePrefix) {
        return new DescriptionImpl(namespaceURI, localName, namespacePrefix);
    }

}
